Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class DispatchedHttpServletRequest.ClientData

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.jboss.portal.portlet.impl.jsr168.DispatchedHttpServletRequest
                  org.jboss.portal.portlet.impl.jsr168.DispatchedHttpServletRequest.ClientData

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

Direct Known Subclasses:
  DispatchedHttpServletRequest.Action, DispatchedHttpServletRequest.Resource

Enclosing class:
  DispatchedHttpServletRequest

    public abstract static class DispatchedHttpServletRequest.ClientData

extends DispatchedHttpServletRequest

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.portlet.impl.jsr168.DispatchedHttpServletRequest
`DispatchedHttpServletRequest.Action, DispatchedHttpServletRequest.ClientData, DispatchedHttpServletRequest.Event, DispatchedHttpServletRequest.Mime, DispatchedHttpServletRequest.Render, DispatchedHttpServletRequest.Resource`

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`DispatchedHttpServletRequest.ClientData(Dispatch dispatch, javax.portlet.ClientDataRequest cdreq, javax.servlet.http.HttpServletRequestWrapper dreq, javax.servlet.ServletContext servletContext)`

Method Summary
`java.lang.String` | `getCharacterEncoding()`
`int` | `getContentLength()`
`java.lang.String` | `getContentType()`
`javax.servlet.ServletInputStream` | `getInputStream()`
`java.lang.String` | `getMethod()`
`java.io.BufferedReader` | `getReader()`
`void` | `setCharacterEncoding(java.lang.String s)`

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.DispatchedHttpServletRequest
`getAttribute, getAttributeNames, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getPathInfo, getPathTranslated, getProtocol, getQueryString, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRemoteUser, getRequest, getRequestDispatcher, getRequestedSessionId, getRequestURI, getRequestURL, getScheme, getServerName, getServerPort, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, removeAttribute, setAttribute, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DispatchedHttpServletRequest.ClientData

    public DispatchedHttpServletRequest.ClientData(Dispatch dispatch,
                                                   javax.portlet.ClientDataRequest cdreq,
                                                   javax.servlet.http.HttpServletRequestWrapper dreq,
                                                   javax.servlet.ServletContext servletContext)

Method Detail

### getCharacterEncoding

    public final java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletRequest`
  Specified by:
    `getCharacterEncoding` in class `DispatchedHttpServletRequest`

### setCharacterEncoding

    public final void setCharacterEncoding(java.lang.String s)
                                    throws java.io.UnsupportedEncodingException

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletRequest`
  Specified by:
    `setCharacterEncoding` in class `DispatchedHttpServletRequest`
  Throws:
    `java.io.UnsupportedEncodingException`

### getContentType

    public final java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletRequest`
  Specified by:
    `getContentType` in class `DispatchedHttpServletRequest`

### getInputStream

    public final javax.servlet.ServletInputStream getInputStream()
                                                          throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.servlet.ServletRequest`
  Specified by:
    `getInputStream` in class `DispatchedHttpServletRequest`
  Throws:
    `java.io.IOException`

### getReader

    public final java.io.BufferedReader getReader()
                                           throws java.io.IOException

  Specified by:
    `getReader` in interface `javax.servlet.ServletRequest`
  Specified by:
    `getReader` in class `DispatchedHttpServletRequest`
  Throws:
    `java.io.IOException`

### getContentLength

    public final int getContentLength()

  Specified by:
    `getContentLength` in interface `javax.servlet.ServletRequest`
  Specified by:
    `getContentLength` in class `DispatchedHttpServletRequest`

### getMethod

    public final java.lang.String getMethod()

  Specified by:
    `getMethod` in interface `javax.servlet.http.HttpServletRequest`
  Specified by:
    `getMethod` in class `DispatchedHttpServletRequest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.